%define major 11
%define libname %mklibname %name-glib %major
%define qtlib %mklibname %name-qt %major
%define develname %mklibname -d %name

Summary:	A DBUS packaging abstraction layer
Name:	  	packagekit
Version:	0.4.8
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Configuration/Packaging
Source0: 	http://www.packagekit.org/releases/PackageKit-%version.tar.gz
Patch1:		packagekit-0.3.6-customize-vendor.patch
Patch2:		packagekit-0.3.6-adopt-qt-moc.patch
URL:		http://www.packagekit.org
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
%py_requires -d
BuildRequires:	dbus-glib-devel
BuildRequires:	sqlite3-devel
BuildRequires:	intltool
BuildRequires:	polkit-devel >= 0.8
BuildRequires:	docbook-utils
BuildRequires:	libxslt-proc
BuildRequires:	xmlto
BuildRequires:	qt4-devel
BuildRequires:	cppunit-devel
BuildRequires:	xulrunner-devel
BuildRequires:	gtk-doc
Obsoletes: udev-packagekit < %{version}-%{release}

%description
PackageKit is a DBUS abstraction layer that allows the session user to manage
packages in a secure way using a cross-distro, cross-architecture API.

%package -n %{libname}
Summary: Libraries for accessing PackageKit
Group: System/Configuration/Packaging

%description -n %{libname}
Libraries for accessing PackageKit.

%package -n %{qtlib}
Summary: QT libraries for accessing PackageKit
Group: System/Configuration/Packaging
Requires: %{name} = %{version}-%{release}

%description -n %{qtlib}
QT libraries for accessing PackageKit.

%package -n %{develname}
Summary: Libraries and headers for PackageKit
Group: Development/Other
Requires: %{libname} = %{version}-%{release}
Requires: %{qtlib} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: packagekit-qt-devel < %{version}

%description -n %{develname}
Headers and libraries for PackageKit.

%package cron
Summary: Cron job and related utilities for PackageKit
Group: System/Configuration/Packaging
Requires: crontabs
Requires: %{name} = %{version}-%{release}

%description cron
Crontab and utilities for running PackageKit as a cron job.

%package browser-plugin
Summary: Browser Plugin for PackageKit
Group: System/Configuration/Packaging

%description browser-plugin
The PackageKit browser plugin allows web sites to offer the ability to
users to install and update packages from configured repositories
using PackageKit.

%package command-not-found
Summary: Ask the user to install command line programs automatically
Group: System/Configuration/Packaging

%description command-not-found
A simple helper that offers to install new packages on the command line
using PackageKit.

%package gtk-module
Summary: Install fonts automatically using PackageKit
Group: System/Configuration/Packaging
Requires: pango

%description gtk-module
The PackageKit GTK+ module allows any Pango application to install
fonts from configured repositories using PackageKit.

%prep
%setup -q -n PackageKit-%version
%patch1 -p0
%patch2 -p0

%build
autoreconf -fis
export PATH=$PATH:%{qt4bin}
%configure2_5x --disable-static --disable-gstreamer-plugin \
	--disable-alpm --disable-apt --disable-box --disable-conary \
	--enable-dummy --disable-opkg --disable-pisi --disable-poldek \
	--enable-smart --enable-urpmi --disable-yum --disable-zypp \
	--disable-ruck --with-default-backend=urpmi
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

rm -f %{buildroot}%{_libdir}/libpackagekit*.la
rm -f %{buildroot}%{_libdir}/packagekit-backend/*.la
rm -f %{buildroot}%{_libdir}/mozilla/plugins/packagekit-plugin.la
rm -f %{buildroot}%{_libdir}/gtk-2.0/modules/*.la

%{find_lang} PackageKit

%clean
rm -rf $RPM_BUILD_ROOT

%post
# the job count used to live in /var/run, but it's now in /var/lib with the
# other persistent bits
if [ -e %{_localstatedir}/run/PackageKit/job_count.dat ]; then
	mv %{_localstatedir}/run/PackageKit/job_count.dat %{_localstatedir}/lib/PackageKit/job_count.dat
fi

%files -f PackageKit.lang
%defattr(-, root, root)
%dir %{_sysconfdir}/PackageKit
%config(noreplace) %{_sysconfdir}/PackageKit/PackageKit.conf
%config(noreplace) %{_sysconfdir}/PackageKit/Vendor.conf
%config(noreplace) %{_sysconfdir}/PackageKit/CommandNotFound.conf
%{_sysconfdir}/bash_completion.d/*
%{_sysconfdir}/dbus-1/system.d/*.conf
%{_bindir}/*
%{_datadir}/PackageKit
%{_datadir}/PolicyKit/policy/*.policy
%{_datadir}/dbus-1/system-services/*.service
%{_datadir}/gtk-doc/html/PackageKit
%{_datadir}/mime/packages/*.xml
%{python_sitelib}/packagekit
%{_sbindir}/packagekitd
%dir %{_libdir}/packagekit-backend
%{_libdir}/packagekit-backend/libpk_backend_dummy.so
%{_libdir}/packagekit-backend/libpk_backend_smart.so
#{_libdir}/packagekit-backend/libpk_backend_test_dbus.so
%{_libdir}/packagekit-backend/libpk_backend_test_fail.so
%{_libdir}/packagekit-backend/libpk_backend_test_nop.so
%{_libdir}/packagekit-backend/libpk_backend_test_spawn.so
%{_libdir}/packagekit-backend/libpk_backend_test_succeed.so
%{_libdir}/packagekit-backend/libpk_backend_test_thread.so
%{_libdir}/packagekit-backend/libpk_backend_urpmi.so
%{_mandir}/man1/*
%{_libdir}/pm-utils/sleep.d/95packagekit
#{_libexecdir}/PackageKitDbusTest.py
%ghost %verify(not md5 size mtime) %{_var}/lib/PackageKit/transactions.db
#ghost %verify(not md5 size mtime) %{_var}/lib/PackageKit/job_count.dat

%files -n %{libname}
%defattr(-, root, root)
%{_libdir}/*packagekit-glib*.so.%{major}*

%files -n %{qtlib}
%defattr(-, root, root)
%{_libdir}/*packagekit-qt*.so.%{major}*

%files -n %{develname}
%defattr(-, root, root)
%{_includedir}/PackageKit
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/cmake/Modules/*.cmake

%files cron
%defattr(-,root,root,-)
%config %{_sysconfdir}/cron.daily/*.cron
%config %{_sysconfdir}/sysconfig/packagekit-background

%files browser-plugin
%defattr(-,root,root,-)
%doc README AUTHORS NEWS COPYING
%{_libdir}/mozilla/plugins/packagekit-plugin.*

%files command-not-found
%defattr(-,root,root,-)
%doc README AUTHORS NEWS COPYING
%{_sysconfdir}/profile.d/*
%{_libexecdir}/pk-command-not-found

%files gtk-module
%defattr(-,root,root,-)
%doc README AUTHORS NEWS COPYING
%{_libdir}/gtk-2.0/modules/*.so


%changelog
* Fri Jun 05 2009 Funda Wang <fundawang@mandriva.org> 0.4.8-1mdv2010.0
+ Revision: 382932
- New version 0.4.8

* Tue May 12 2009 Funda Wang <fundawang@mandriva.org> 0.4.7-1mdv2010.0
+ Revision: 374894
- New version 0.4.7

* Sun Apr 05 2009 Funda Wang <fundawang@mandriva.org> 0.4.6-1mdv2010.0
+ Revision: 364170
- New version 0.4.6

* Sun Mar 15 2009 Funda Wang <fundawang@mandriva.org> 0.4.5-1mdv2009.1
+ Revision: 355191
- update to new version 0.4.5

* Thu Mar 05 2009 Funda Wang <fundawang@mandriva.org> 0.4.4-1mdv2009.1
+ Revision: 348974
- New version 0.4.4

* Tue Feb 03 2009 Funda Wang <fundawang@mandriva.org> 0.4.3-1mdv2009.1
+ Revision: 336783
- New version 0.4.3

* Fri Jan 23 2009 Funda Wang <fundawang@mandriva.org> 0.4.2-1mdv2009.1
+ Revision: 332704
- functionality moved to udev itself
- New version 0.4.2

* Thu Jan 15 2009 Funda Wang <fundawang@mandriva.org> 0.4.1-1mdv2009.1
+ Revision: 329780
- disable ruck
- New version 0.4.1

* Sun Dec 28 2008 Funda Wang <fundawang@mandriva.org> 0.4.0-2mdv2009.1
+ Revision: 320275
- rebuild for new python

* Sat Dec 13 2008 Funda Wang <fundawang@mandriva.org> 0.4.0-1mdv2009.1
+ Revision: 313882
- add missing file
- add more modules
- drop la files
- new version 0.4.0

* Fri Nov 28 2008 Funda Wang <fundawang@mandriva.org> 0.3.11-2mdv2009.1
+ Revision: 307362
- rebuild
- new major
- new version 0.3.11

* Wed Nov 12 2008 Funda Wang <fundawang@mandriva.org> 0.3.10-1mdv2009.1
+ Revision: 302396
- fix file list
- New version 0.3.10

* Mon Oct 27 2008 Funda Wang <fundawang@mandriva.org> 0.3.9-1mdv2009.1
+ Revision: 297550
- New version 0.3.9

* Thu Oct 23 2008 Funda Wang <fundawang@mandriva.org> 0.3.8-4mdv2009.1
+ Revision: 296731
- cmake modules becomes kpackage inside

* Tue Oct 21 2008 Funda Wang <fundawang@mandriva.org> 0.3.8-3mdv2009.1
+ Revision: 296147
- do not build gstreamer plugin
- install cmake modules for kpackagekit

* Tue Oct 21 2008 Funda Wang <fundawang@mandriva.org> 0.3.8-2mdv2009.1
+ Revision: 296057
- add BR and requires
- Obsoletes old qt-devel
- New version 0.3.8

* Thu Oct 16 2008 Funda Wang <fundawang@mandriva.org> 0.3.7-1mdv2009.1
+ Revision: 294094
- New version 0.3.7

* Sun Oct 12 2008 Funda Wang <fundawang@mandriva.org> 0.3.6-1mdv2009.1
+ Revision: 292855
- New version 0.3.6
- customize vendro.conf, pointing to wiki for now

* Wed Oct 01 2008 Funda Wang <fundawang@mandriva.org> 0.3.5-1mdv2009.0
+ Revision: 290296
- New version 0.3.5
- add browser plugin
- add upstream path to fix crash with large amount of transaction

* Sun Sep 21 2008 Funda Wang <fundawang@mandriva.org> 0.3.3-1mdv2009.0
+ Revision: 286283
- New version 0.3.3

* Wed Sep 10 2008 Funda Wang <fundawang@mandriva.org> 0.3.2-1mdv2009.0
+ Revision: 283419
- new major 4 -> 5
- 0.3.2

* Sun Aug 31 2008 Funda Wang <fundawang@mandriva.org> 0.3.1-1mdv2009.0
+ Revision: 277769
- New version 0.3.1
- revert to ABI stable version 0.2.4
- New version 0.3.0

* Wed Aug 06 2008 Funda Wang <fundawang@mandriva.org> 0.2.4-1mdv2009.0
+ Revision: 264778
- bump libmajor ( 3->4 )
- New version 0.2.4

* Sun Jul 13 2008 Funda Wang <fundawang@mandriva.org> 0.2.3-1mdv2009.0
+ Revision: 234290
- import packagekit


